## Library version information Library version information — Utilities for querying the library version |

## Functions

#define | GEXIV2_CHECK_VERSION()
gint | gexiv2_get_version ()

## Types and Values

#define | GEXIV2_MAJOR_VERSION
#define | GEXIV2_MINOR_VERSION
#define | GEXIV2_MICRO_VERSION

## Description

Provides macros and functions to query the version of the GExiv2 library during compile- and runtime.

## Functions

### GEXIV2_CHECK_VERSION()

    #define             GEXIV2_CHECK_VERSION(major, minor, micro)

#### Parameters

major | the major version to check for |
minor | the minor version to check for |
micro | the micro version to check for |

#### Returns

TRUE if the gexiv2 library version is greater than or equal to the supplied version requirement.

### gexiv2_get_version ()

    gint
    gexiv2_get_version (void);

#### Returns

The gexiv2 library's version number as a formatted decimal XXYYZZ, where XX is the major version, YY is the minor version, and ZZ is the micro version. For example, version 0.6.1 will be returned as 000601.

## Types and Values

### GEXIV2_MAJOR_VERSION

    #define GEXIV2_MAJOR_VERSION 0

### GEXIV2_MINOR_VERSION

    #define GEXIV2_MINOR_VERSION 14

### GEXIV2_MICRO_VERSION

    #define GEXIV2_MICRO_VERSION 6